config wanopt content-delivery-network-rule
    edit "vcache://"
        set comment "Static entries are not allowed to change except disable."
        set response-expires enable
        config rules
            edit "rule1"
                config match-entries
                    edit 1
                        set pattern "/*.m3u8"
                    next
                end
                config content-id
                    set target hls-manifest
                    set start-str "/"
                end
            next
            edit "rule2"
                config match-entries
                    edit 1
                        set pattern "/*.mpd"
                    next
                end
                config content-id
                    set target dash-manifest
                    set start-str "/"
                end
            next
            edit "rule3"
                config match-entries
                    edit 1
                        set pattern "/*.ts"
                    next
                end
                config content-id
                    set target hls-fragment
                    set start-str "/"
                end
            next
            edit "rule4"
                config match-entries
                    edit 1
                        set pattern "/*.*"
                    next
                end
                config content-id
                    set target dash-fragment
                    set start-str "/"
                end
            next
        end
    next
    edit "vcache://youtube/"
        set comment "Static entries are not allowed to change except disable."
        set host-domain-name-suffix "youtube.com"
        set category youtube
        config rules
            edit "rule1"
                config match-entries
                    edit 1
                        set pattern "/videoplayback"
                    next
                end
                config content-id
                    set target youtube-id
                    set start-str "v="
                    set start-skip 2
                    set end-str "&"
                end
            next
            edit "rule2"
                config match-entries
                    edit 1
                        set pattern "/videoplayback"
                    next
                end
                config content-id
                    set target youtube-id
                    set start-str "v="
                    set start-skip 2
                end
            next
            edit "rule3"
                set match-mode any
                config match-entries
                    edit 1
                        set pattern "/stream_204"
                    next
                    edit 2
                        set pattern "/ptracking"
                    next
                    edit 3
                        set pattern "/get_video_info"
                    next
                end
                config content-id
                    set target youtube-map
                    set start-str "/"
                end
            next
        end
    next
    edit "vcache://googlevideo/"
        set comment "Static entries are not allowed to change except disable."
        set host-domain-name-suffix "googlevideo.com"
        set category youtube
        config rules
            edit "rule1"
                config match-entries
                    edit 1
                        set pattern "/videoplayback"
                    next
                end
                config content-id
                    set target youtube-id
                    set start-str "v="
                    set start-skip 2
                    set end-str "&"
                end
            next
            edit "rule2"
                config match-entries
                    edit 1
                        set pattern "/videoplayback"
                    next
                end
                config content-id
                    set target youtube-id
                    set start-str "v="
                    set start-skip 2
                end
            next
            edit "rule3"
                set match-mode any
                config match-entries
                    edit 1
                        set pattern "/stream_204"
                    next
                    edit 2
                        set pattern "/ptracking"
                    next
                    edit 3
                        set pattern "/get_video_info"
                    next
                end
                config content-id
                    set target youtube-map
                    set start-str "/"
                end
            next
        end
    next
    edit "vcache://metacafe/"
        set comment "Static entries are not allowed to change except disable."
        set host-domain-name-suffix "mccont.com" "akvideos.metacafe.com" "cdn.metacafe.com"
        set response-expires enable
        config rules
            edit "rule1"
                set match-mode any
                set skip-rule-mode any
                config match-entries
                    edit 1
                        set pattern "/*.flv"
                    next
                    edit 2
                        set pattern "/*.mp4"
                    next
                    edit 3
                        set pattern "/*.ts"
                    next
                end
                config content-id
                    set start-str "/"
                    set start-skip 1
                end
            next
        end
    next
    edit "vcache://facebook/"
        set comment "Static entries are not allowed to change except disable."
        set host-domain-name-suffix "fbcdn.net" "facebook.com"
        set response-expires enable
        config rules
            edit "rule1"
                set match-mode any
                set skip-rule-mode any
                config match-entries
                    edit 1
                        set pattern "/*.flv"
                    next
                    edit 2
                        set pattern "/*.mp4"
                    next
                    edit 3
                        set pattern "/*.ts"
                    next
                end
                config content-id
                    set start-str "/"
                    set start-skip 1
                end
            next
        end
    next
    edit "vcache://dailymotion/"
        set comment "Static entries are not allowed to change except disable."
        set host-domain-name-suffix "dailymotion.com" "dmcdn.net"
        set response-expires enable
        config rules
            edit "rule1"
                set match-mode any
                config match-entries
                    edit 1
                        set pattern "/video/*.mp4"
                    next
                    edit 2
                        set pattern "/video/*.flv"
                    next
                    edit 3
                        set pattern "/video/*.ts"
                    next
                    edit 4
                        set pattern "/video/*.on2"
                    next
                    edit 5
                        set pattern "/video/*.aac"
                    next
                    edit 6
                        set pattern "/video/*.h264"
                    next
                    edit 7
                        set pattern "/video/*.h263"
                    next
                    edit 8
                        set pattern "/sec*.mp4"
                    next
                    edit 9
                        set pattern "/sec*.flv"
                    next
                    edit 10
                        set pattern "/sec*.on2"
                    next
                    edit 11
                        set pattern "/sec*.aac"
                    next
                    edit 12
                        set pattern "/sec*.h264"
                    next
                    edit 13
                        set pattern "/sec*.h263"
                    next
                    edit 14
                        set pattern "*.ts"
                    next
                end
                config skip-entries
                    edit 1
                        set target parameter
                        set pattern "start=*"
                    next
                end
                config content-id
                    set start-str "/"
                    set start-skip 1
                end
            next
        end
    next
    edit "vcache://break/"
        set comment "Static entries are not allowed to change except disable."
        set host-domain-name-suffix "break.com" "0ebe.edgecastcdn.net"
        set response-expires enable
        config rules
            edit "rule1"
                set match-mode any
                config match-entries
                    edit 1
                        set pattern "/dnet/media/*.flv"
                    next
                    edit 2
                        set pattern "/dnet/media/*.mp4"
                    next
                end
                config skip-entries
                    edit 1
                        set target parameter
                        set pattern "ec_seek=*"
                    next
                end
                config content-id
                    set start-str "/"
                    set start-skip 1
                end
            next
            edit "rule2"
                config match-entries
                    edit 1
                        set pattern "/*.mp4*"
                    next
                    edit 2
                        set pattern "*Seg*"
                    next
                    edit 3
                        set pattern "*Frag*"
                    next
                end
                config content-id
                    set start-str "/"
                    set start-skip 1
                end
            next
        end
    next
    edit "vcache://msn/"
        set comment "Static entries are not allowed to change except disable."
        set host-domain-name-suffix "video.msn.com"
        set response-expires enable
        config rules
            edit "rule1"
                set match-mode any
                set skip-rule-mode any
                config match-entries
                    edit 1
                        set pattern "/*.flv"
                    next
                    edit 2
                        set pattern "/*.mp4"
                    next
                    edit 3
                        set pattern "/*.ts"
                    next
                end
                config content-id
                    set start-str "/"
                    set start-skip 1
                end
            next
        end
    next
    edit "vcache://llnwd/"
        set comment "Static entries are not allowed to change except disable."
        set host-domain-name-suffix "llnwd.net"
        set response-expires enable
        config rules
            edit "rule1"
                set match-mode any
                config match-entries
                    edit 1
                        set pattern "/*.flv"
                    next
                    edit 2
                        set pattern "/*.mp4"
                    next
                    edit 3
                        set pattern "/*.fll"
                    next
                end
                config skip-entries
                    edit 1
                        set target parameter
                        set pattern "fs=*"
                    next
                end
                config content-id
                    set start-str "/"
                    set start-skip 1
                end
            next
        end
    next
    edit "vcache://yahoo/"
        set comment "Static entries are not allowed to change except disable."
        set host-domain-name-suffix "yimg.com"
        set response-expires enable
        config rules
            edit "rule1"
                set match-mode any
                config match-entries
                    edit 1
                        set pattern "/*.flv"
                    next
                    edit 2
                        set pattern "/*.mp4"
                    next
                    edit 3
                        set pattern "/*.m4s"
                    next
                end
                config content-id
                    set target parameter
                    set start-str "vid="
                end
            next
        end
    next
    edit "vcache://myspace/"
        set comment "Static entries are not allowed to change except disable."
        set host-domain-name-suffix "myspacecdn.com"
        set request-cache-control enable
        set response-cache-control enable
        set response-expires enable
        config rules
            edit "rule1"
                set match-mode any
                set skip-rule-mode any
                config match-entries
                    edit 1
                        set pattern "/*.flv"
                    next
                    edit 2
                        set pattern "/*.mp4"
                    next
                    edit 3
                        set pattern "/*.ts"
                    next
                end
                config content-id
                    set start-str "/"
                    set start-skip 1
                end
            next
        end
    next
    edit "vcache://vimeo/"
        set comment "Static entries are not allowed to change except disable."
        set host-domain-name-suffix "vimeo.com" "vimeocdn.com" "56skyfiregce-a.akamaihd.net"
        set response-expires enable
        config rules
            edit "rule1"
                set match-mode any
                config match-entries
                    edit 1
                        set pattern "/*.flv"
                    next
                    edit 2
                        set pattern "/*.mp4"
                    next
                    edit 3
                        set pattern "/*.m4s"
                    next
                end
                config content-id
                    set start-str "/"
                    set start-skip 1
                end
            next
        end
    next
    edit "vcache://blip.tv/"
        set comment "Static entries are not allowed to change except disable."
        set host-domain-name-suffix "blip.tv"
        set response-expires enable
        config rules
            edit "rule1"
                set match-mode any
                config match-entries
                    edit 1
                        set pattern "/*.m4v"
                    next
                    edit 2
                        set pattern "/*.flv"
                    next
                    edit 3
                        set pattern "/*.mp4"
                    next
                    edit 4
                        set pattern "/*.wmv"
                    next
                    edit 5
                        set pattern "/*.rm"
                    next
                    edit 6
                        set pattern "/*.ram"
                    next
                    edit 7
                        set pattern "/*.mov"
                    next
                    edit 8
                        set pattern "/*.avi"
                    next
                end
                config skip-entries
                    edit 1
                        set target parameter
                        set pattern "ms=*"
                    next
                end
                config content-id
                    set start-str "/"
                    set start-skip 1
                end
            next
        end
    next
    edit "vcache://maker.tv/"
        set comment "Static entries are not allowed to change except disable."
        set host-domain-name-suffix "videos-f.jwpsrv.com"
        set response-expires enable
        config rules
            edit "rule1"
                set match-mode any
                config match-entries
                    edit 1
                        set pattern "/*.ts"
                    next
                end
                config content-id
                    set start-str "/"
                    set start-skip 1
                end
            next
        end
    next
    edit "vcache://aol/"
        set comment "Static entries are not allowed to change except disable."
        set host-domain-name-suffix "stream.aol.com" "5min.com" "vidiblevod-vh.akamaihd.net" "stg-ec-ore-u.uplynk.com" "vidible.tv"
        set response-expires enable
        config rules
            edit "rule1"
                config match-entries
                    edit 1
                        set pattern "/*.mp4"
                    next
                end
                config skip-entries
                    edit 1
                        set target parameter
                        set pattern "*timeoffset=*"
                    next
                end
                config content-id
                    set start-str "/"
                    set start-skip 1
                end
            next
            edit "rule2"
                config match-entries
                    edit 1
                        set pattern "/*.ts"
                    next
                end
                config content-id
                    set start-str "/"
                    set start-skip 1
                end
            next
        end
    next
    edit "vcache://clipfish/"
        set comment "Static entries are not allowed to change except disable."
        set host-domain-name-suffix "clipfish.de" "universal-music.de"
        set response-expires enable
        config rules
            edit "rule1"
                set match-mode any
                config match-entries
                    edit 1
                        set pattern "/*.flv"
                    next
                    edit 2
                        set pattern "/*.f4v"
                    next
                    edit 3
                        set pattern "/*.mp4"
                    next
                    edit 4
                        set pattern "/*.m4v"
                    next
                end
                config content-id
                    set start-str "/"
                    set start-skip 1
                end
            next
        end
    next
    edit "vcache://cnn/"
        set comment "Static entries are not allowed to change except disable."
        set host-domain-name-suffix "cnn-vh.akamaihd.net"
        set response-expires enable
        config rules
            edit "rule1"
                config match-entries
                    edit 1
                        set pattern "/*.flv*"
                    next
                    edit 2
                        set pattern "*Seg*"
                    next
                    edit 3
                        set pattern "*Frag*"
                    next
                end
                config content-id
                    set start-str "/"
                    set start-skip 1
                end
            next
            edit "rule2"
                config match-entries
                    edit 1
                        set pattern "/*.mp4*"
                    next
                    edit 2
                        set pattern "*Seg*"
                    next
                    edit 3
                        set pattern "*Frag*"
                    next
                end
                config content-id
                    set start-str "/"
                    set start-skip 1
                end
            next
            edit "rule3"
                config match-entries
                    edit 1
                        set pattern "/*.ts*"
                    next
                    edit 2
                        set pattern "*Seg*"
                    next
                    edit 3
                        set pattern "*Frag*"
                    next
                end
                config content-id
                    set start-str "/"
                    set start-skip 1
                end
            next
        end
    next
    edit "vcache://foxnews/"
        set comment "Static entries are not allowed to change except disable."
        set host-domain-name-suffix "foxnews.com" "foxnews-f.akamaihd.net"
        set response-expires enable
        config rules
            edit "rule1"
                config match-entries
                    edit 1
                        set pattern "/*.mp4*"
                    next
                    edit 2
                        set target parameter
                        set pattern "*Seg*"
                    next
                    edit 3
                        set target parameter
                        set pattern "*Frag*"
                    next
                end
                config content-id
                    set start-str "/"
                    set start-skip 1
                end
            next
        end
    next
    edit "vcache://discovery/"
        set comment "Static entries are not allowed to change except disable."
        set host-domain-name-suffix "discovery.com" "discidevflash-f.akamaihd.net"
        set response-expires enable
        config rules
            edit "rule1"
                set match-mode any
                set skip-rule-mode any
                config match-entries
                    edit 1
                        set pattern "/*.flv"
                    next
                    edit 2
                        set pattern "/*.mp4"
                    next
                    edit 3
                        set pattern "/*.ts"
                    next
                end
                config content-id
                    set start-str "/"
                    set start-skip 1
                end
            next
        end
    next
    edit "vcache://liveleak/"
        set comment "Static entries are not allowed to change except disable."
        set host-domain-name-suffix "edge.liveleak.com" "cdn.liveleak.com"
        set response-expires enable
        config rules
            edit "rule1"
                config match-entries
                    edit 1
                        set pattern "/*.flv"
                    next
                    edit 2
                        set target parameter
                        set pattern "*seek=0"
                    next
                end
                config content-id
                    set start-str "/"
                    set start-skip 1
                end
            next
            edit "rule2"
                config match-entries
                    edit 1
                        set pattern "/*.mp4"
                    next
                    edit 2
                        set target parameter
                        set pattern "*seek=0"
                    next
                end
                config content-id
                    set start-str "/"
                    set start-skip 1
                end
            next
            edit "rule3"
                config match-entries
                    edit 1
                        set pattern "/*.wmv"
                    next
                    edit 2
                        set target parameter
                        set pattern "*seek=0"
                    next
                end
                config content-id
                    set start-str "/"
                    set start-skip 1
                end
            next
        end
    next
    edit "vcache://sevenload/"
        set comment "Static entries are not allowed to change except disable."
        set host-domain-name-suffix "sevenload.com"
        set response-expires enable
        config rules
            edit "rule1"
                set match-mode any
                config match-entries
                    edit 1
                        set pattern "/*.flv"
                    next
                    edit 2
                        set pattern "/*.mp4"
                    next
                end
                config skip-entries
                    edit 1
                        set target parameter
                        set pattern "aktimeoffset=*"
                    next
                end
                config content-id
                    set start-str "/"
                    set start-skip 1
                end
            next
        end
    next
    edit "vcache://stupidvideos/"
        set comment "Static entries are not allowed to change except disable."
        set host-domain-name-suffix "stupidvideos.com"
        set response-expires enable
        config rules
            edit "rule1"
                set match-mode any
                set skip-rule-mode any
                config match-entries
                    edit 1
                        set pattern "/*.flv"
                    next
                    edit 2
                        set pattern "/*.mp4"
                    next
                    edit 3
                        set pattern "/*.ts"
                    next
                end
                config content-id
                    set start-str "/"
                    set start-skip 1
                end
            next
        end
    next
    edit "vcache://howcast/"
        set comment "Static entries are not allowed to change except disable."
        set host-domain-name-suffix "media.howcast.com"
        set response-expires enable
        config rules
            edit "rule1"
                set match-mode any
                config match-entries
                    edit 1
                        set pattern "/*.flv"
                    next
                    edit 2
                        set pattern "/*.mp4"
                    next
                end
                config skip-entries
                    edit 1
                        set target parameter
                        set pattern "start=*"
                    next
                end
                config content-id
                    set start-str "/"
                    set start-skip 1
                end
            next
        end
    next
    edit "vcache://vevo/"
        set comment "Static entries are not allowed to change except disable."
        set host-domain-name-suffix "vevo.com"
        set response-expires enable
        config rules
            edit "rule1"
                set match-mode any
                set skip-rule-mode any
                config match-entries
                    edit 1
                        set pattern "/*.flv"
                    next
                    edit 2
                        set pattern "/*.mp4"
                    next
                    edit 3
                        set pattern "/*.ts"
                    next
                end
                config content-id
                    set start-str "/"
                    set start-skip 1
                end
            next
        end
    next
    edit "vcache://ooyala/"
        set comment "Static entries are not allowed to change except disable."
        set host-domain-name-suffix "ooyala.com"
        set response-expires enable
        config rules
            edit "rule1"
                config match-entries
                    edit 1
                        set pattern "*Seg*"
                    next
                    edit 2
                        set pattern "*Frag*"
                    next
                end
                config content-id
                    set start-str "/"
                    set start-skip 1
                end
            next
        end
    next
    edit "vcache://ms-ads/"
        set comment "Static entries are not allowed to change except disable."
        set host-domain-name-suffix "msads.net"
        set response-expires enable
        config rules
            edit "rule1"
                set match-mode any
                set skip-rule-mode any
                config match-entries
                    edit 1
                        set pattern "/*.flv"
                    next
                    edit 2
                        set pattern "/*.mp4"
                    next
                    edit 3
                        set pattern "/*.ts"
                    next
                end
                config content-id
                    set start-str "/"
                    set start-skip 1
                end
            next
        end
    next
    edit "vcache://yumenetworks-ads/"
        set comment "Static entries are not allowed to change except disable."
        set host-domain-name-suffix "yumenetworks.com"
        set response-expires enable
        config rules
            edit "rule1"
                set match-mode any
                set skip-rule-mode any
                config match-entries
                    edit 1
                        set pattern "/*.flv"
                    next
                    edit 2
                        set pattern "/*.mp4"
                    next
                    edit 3
                        set pattern "/*.ts"
                    next
                end
                config content-id
                    set start-str "/"
                    set start-skip 1
                end
            next
        end
    next
    edit "vcache://2mdn-ads/"
        set comment "Static entries are not allowed to change except disable."
        set host-domain-name-suffix "2mdn.net"
        set response-expires enable
        config rules
            edit "rule1"
                set match-mode any
                set skip-rule-mode any
                config match-entries
                    edit 1
                        set pattern "/*.flv"
                    next
                    edit 2
                        set pattern "/*.mp4"
                    next
                    edit 3
                        set pattern "/*.ts"
                    next
                end
                config content-id
                    set start-str "/"
                    set start-skip 1
                end
            next
        end
    next
    edit "vcache://eyewonder-ads/"
        set comment "Static entries are not allowed to change except disable."
        set host-domain-name-suffix "eyewonder.com"
        set response-expires enable
        config rules
            edit "rule1"
                set match-mode any
                set skip-rule-mode any
                config match-entries
                    edit 1
                        set pattern "/*.flv"
                    next
                    edit 2
                        set pattern "/*.mp4"
                    next
                    edit 3
                        set pattern "/*.ts"
                    next
                end
                config content-id
                    set start-str "/"
                    set start-skip 1
                end
            next
        end
    next
    edit "vcache://eyereturn-ads/"
        set comment "Static entries are not allowed to change except disable."
        set host-domain-name-suffix "eyereturn.com"
        set response-expires enable
        config rules
            edit "rule1"
                set match-mode any
                set skip-rule-mode any
                config match-entries
                    edit 1
                        set pattern "/*.flv"
                    next
                    edit 2
                        set pattern "/*.mp4"
                    next
                    edit 3
                        set pattern "/*.ts"
                    next
                end
                config content-id
                    set start-str "/"
                    set start-skip 1
                end
            next
        end
    next
    edit "vcache://serving-sys-ads/"
        set comment "Static entries are not allowed to change except disable."
        set host-domain-name-suffix "serving-sys.com"
        set response-expires enable
        config rules
            edit "rule1"
                set match-mode any
                set skip-rule-mode any
                config match-entries
                    edit 1
                        set pattern "/*.flv"
                    next
                    edit 2
                        set pattern "/*.mp4"
                    next
                    edit 3
                        set pattern "/*.ts"
                    next
                end
                config content-id
                    set start-str "/"
                    set start-skip 1
                end
            next
        end
    next
    edit "vcache://amazonaws-ads/"
        set comment "Static entries are not allowed to change except disable."
        set host-domain-name-suffix "amazonaws.com"
        set response-expires enable
        config rules
            edit "rule1"
                set match-mode any
                set skip-rule-mode any
                config match-entries
                    edit 1
                        set pattern "/*.flv"
                    next
                    edit 2
                        set pattern "/*.mp4"
                    next
                    edit 3
                        set pattern "/*.ts"
                    next
                end
                config content-id
                    set start-str "/"
                    set start-skip 1
                end
            next
        end
    next
    edit "vcache://edgesuite-ads/"
        set comment "Static entries are not allowed to change except disable."
        set host-domain-name-suffix "edgesuite.net"
        set response-expires enable
        config rules
            edit "rule1"
                set match-mode any
                set skip-rule-mode any
                config match-entries
                    edit 1
                        set pattern "/*.flv"
                    next
                    edit 2
                        set pattern "/*.mp4"
                    next
                    edit 3
                        set pattern "/*.ts"
                    next
                end
                config content-id
                    set start-str "/"
                    set start-skip 1
                end
            next
        end
    next
    edit "vcache://gorillanation-ads/"
        set comment "Static entries are not allowed to change except disable."
        set host-domain-name-suffix "video.gorillanation.com"
        set response-expires enable
        config rules
            edit "rule1"
                set match-mode any
                set skip-rule-mode any
                config match-entries
                    edit 1
                        set pattern "/*.flv"
                    next
                    edit 2
                        set pattern "/*.mp4"
                    next
                    edit 3
                        set pattern "/*.ts"
                    next
                end
                config content-id
                    set start-str "/"
                    set start-skip 1
                end
            next
        end
    next
    edit "vcache://youku/"
        set comment "Static entries are not allowed to change except disable."
        set response-expires enable
        config rules
            edit "rule1"
                config match-entries
                    edit 1
                        set pattern "/youku/*.mp4"
                    next
                    edit 2
                        set target parameter
                        set pattern "*start=0"
                    next
                end
                config content-id
                    set target youku-id
                    set start-str "/"
                    set start-skip 1
                    set start-direction backward
                end
            next
            edit "rule2"
                config match-entries
                    edit 1
                        set pattern "/youku/*.flv"
                    next
                    edit 2
                        set target parameter
                        set pattern "*start=0"
                    next
                end
                config content-id
                    set target youku-id
                    set start-str "/"
                    set start-skip 1
                    set start-direction backward
                end
            next
            edit "rule3"
                config match-entries
                    edit 1
                        set pattern "/youku/*.kux"
                    next
                    edit 2
                        set target parameter
                        set pattern "*start=0"
                    next
                end
                config content-id
                    set target youku-id
                    set start-str "/"
                    set start-skip 1
                    set start-direction backward
                end
            next
            edit "rule4"
                config match-entries
                    edit 1
                        set pattern "/youku/*.mp4"
                    next
                end
                config skip-entries
                    edit 1
                        set target parameter
                        set pattern "*start=*"
                    next
                end
                config content-id
                    set target youku-id
                    set start-str "/"
                    set start-skip 1
                    set start-direction backward
                end
            next
            edit "rule5"
                config match-entries
                    edit 1
                        set pattern "/youku/*.flv"
                    next
                end
                config skip-entries
                    edit 1
                        set target parameter
                        set pattern "*start=*"
                    next
                end
                config content-id
                    set target youku-id
                    set start-str "/"
                    set start-skip 1
                    set start-direction backward
                end
            next
            edit "rule6"
                config match-entries
                    edit 1
                        set pattern "/youku/*.kux"
                    next
                end
                config skip-entries
                    edit 1
                        set target parameter
                        set pattern "*start=*"
                    next
                end
                config content-id
                    set target youku-id
                    set start-str "/"
                    set start-skip 1
                    set start-direction backward
                end
            next
        end
    next
    edit "vcache://tudou/"
        set comment "Static entries are not allowed to change except disable."
        set response-expires enable
        config rules
            edit "rule1"
                config match-entries
                    edit 1
                        set pattern "/f4v/*"
                    next
                    edit 2
                        set target parameter
                        set pattern "*id=tudou*"
                    next
                end
                config skip-entries
                    edit 1
                        set target parameter
                        set pattern "*begin=*"
                    next
                end
                config content-id
                    set start-str "/"
                    set start-skip 1
                    set start-direction backward
                end
            next
        end
    next
    edit "vcache://cbc/"
        set comment "Static entries are not allowed to change except disable."
        set host-domain-name-suffix "cbc.ca" "mobilehls-vh.akamaihd.net"
        set response-expires enable
        config rules
            edit "rule1"
                config match-entries
                    edit 1
                        set pattern "*.mp4*"
                    next
                    edit 2
                        set pattern "*Seg*"
                    next
                    edit 3
                        set pattern "*Frag*"
                    next
                end
                config content-id
                    set start-str "/"
                    set start-skip 1
                end
            next
            edit "rule2"
                set match-mode any
                config match-entries
                    edit 1
                        set pattern "*.ts"
                    next
                    edit 2
                        set pattern "*.mp4"
                    next
                end
                config content-id
                    set start-str "/"
                    set start-skip 1
                end
            next
        end
    next
    edit "vcache://megaupload/"
        set comment "Static entries are not allowed to change except disable."
        set host-domain-name-suffix "megaupload.com"
        set response-expires enable
        config rules
            edit "rule1"
                config match-entries
                    edit 1
                        set pattern "/files/*"
                    next
                end
                config content-id
                    set target referrer
                    set start-str "d="
                    set start-skip 2
                end
            next
        end
    next
    edit "update://windowsupdate/"
        set comment "Static entries are not allowed to change except disable."
        set host-domain-name-suffix "download.windowsupdate.com"
        set request-cache-control enable
        set response-cache-control enable
        set response-expires enable
        set updateserver enable
    next
end
